Python
from everos_cloud import EverOS
client = EverOS()
group_mem = client.v1.memories.group
response = group_mem.add(
group_id="<string>",
messages=[
{
"role": "<string>",
"sender_id": "<string>",
"sender_name": "<string>",
"timestamp": "<integer>",
"content": "<string>"
}
]
)
print(response)curl --request POST \
--url 'https://api.evermind.ai/api/v1/memories/group' \
--header 'Authorization: Bearer <api_key>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
group_id: '<string>',
messages: [
{
sender_id: '<string>',
timestamp: 123,
content: '<string>',
message_id: '<string>',
sender_name: '<string>'
}
],
group_meta: {},
async_mode: true
})
};
fetch('https://api.evermind.ai/api/v1/memories/group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"task_id": "",
"message_count": 0,
"status": "accumulated",
"message": "Messages accepted"
}
}{
"data": {
"task_id": "<string>",
"status": "queued",
"message_count": 0,
"message": "Message accepted and queued for processing"
}
}{
"code": "InvalidParameter",
"message": "messages[0].sender_id is required for group add",
"request_id": "unknown",
"timestamp": "2026-03-24T00:00:00+00:00",
"path": "/api/v1/memories/group"
}{
"code": "<string>",
"message": "<string>",
"timestamp": "<string>",
"path": "<string>",
"request_id": "unknown"
}{
"code": "<string>",
"message": "<string>",
"timestamp": "<string>",
"path": "<string>",
"request_id": "unknown"
}Memories
Add group memories
Add messages and extract memory into memory space.
POST
/
api
/
v1
/
memories
/
group
Python
from everos_cloud import EverOS
client = EverOS()
group_mem = client.v1.memories.group
response = group_mem.add(
group_id="<string>",
messages=[
{
"role": "<string>",
"sender_id": "<string>",
"sender_name": "<string>",
"timestamp": "<integer>",
"content": "<string>"
}
]
)
print(response)Authorizations
Bearer authentication header of the form Bearer 'api_key', obtain your API key from everos.evermind.ai.
Body
application/json
Group identifier
Batch message array (1-500 items). sender_id is required per message.
Required array length:
1 - 500 elementsShow child attributes
Show child attributes
Group metadata
Enable async processing. When true, returns 202 with task_id; when false, processes synchronously and returns 200.
Response
Messages accepted successfully (sync mode: async_mode=false)
Show child attributes
Show child attributes
Was this page helpful?
⌘I

